summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2013-05-21 12:59:31 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2013-05-21 12:59:31 +0300
commita21d76907d4687cf3136422577fd747e5de6e5a8 (patch)
treeb3a25d8c5f9893569dc6d74c608fbe6110812521
parent4daac2f0fa33433577a7de1ed2c62efb6d769d0f (diff)
new file: codelite/codelite-5.0.6213.ebuild
new file: codelite/files/codelite-5.0.6213_configure.patch
-rw-r--r--dev-util/codelite/codelite-5.0.6213.ebuild39
-rw-r--r--dev-util/codelite/files/codelite-5.0.6213_configure.patch47
2 files changed, 86 insertions, 0 deletions
diff --git a/dev-util/codelite/codelite-5.0.6213.ebuild b/dev-util/codelite/codelite-5.0.6213.ebuild
new file mode 100644
index 0000000..88c0672
--- /dev/null
+++ b/dev-util/codelite/codelite-5.0.6213.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+WX_GTK_VER="2.9"
+
+inherit base eutils wxwidgets
+
+DESCRIPTION="Cross platform IDE for the C/C++ programming languages"
+HOMEPAGE="http://www.codelite.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-gtk.src.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="debug mysql pch postgres"
+
+DEPEND="debug? ( x11-libs/wxGTK:${WX_GTK_VER}[debug] )
+ mysql? ( virtual/mysql )
+ postgres? ( dev-db/postgresql-base )"
+RDEPEND="x11-libs/wxGTK:${WX_GTK_VER}[X]"
+
+PATCHES=(
+ "${FILESDIR}/${P}_configure.patch"
+)
+
+src_configure() {
+ econf --without-clang \
+ $(use_enable debug) \
+ $(use_enable mysql) \
+ $(use_enable pch) \
+ $(use_enable postgres)
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" install || die "emake install failed"
+} \ No newline at end of file
diff --git a/dev-util/codelite/files/codelite-5.0.6213_configure.patch b/dev-util/codelite/files/codelite-5.0.6213_configure.patch
new file mode 100644
index 0000000..efcbba0
--- /dev/null
+++ b/dev-util/codelite/files/codelite-5.0.6213_configure.patch
@@ -0,0 +1,47 @@
+--- a/configure
++++ b/configure
+@@ -149,7 +149,7 @@ createVariables()
+ configuration="Release_gcc_unicode"
+ ext=u
+ debug_flag=""
+- optimization=" -O3 -DREGEXP_UNICODE "
++ optimization=" -DREGEXP_UNICODE ${CFLAGS} "
+ # In release builds, unless otherwise instructed, tell wx to disable asserts
+ asserts="-DNDEBUG"
+ if [ "$asserts_specified" = "on" ]; then
+@@ -353,7 +353,7 @@ createCodeLiteCppcheckMakefile ()
+ else
+ configuration="Release"
+ debug_flag=""
+- optimization=" -O2 "
++ optimization="${CFLAGS}"
+ # In release builds, unless otherwise instructed, tell wx to disable asserts
+ asserts="-DNDEBUG"
+ if [ "$asserts_specified" = "on" ]; then
+@@ -448,7 +448,7 @@ createCodeLiteClangMakefile()
+ else
+ configuration="Release"
+ debug_flag=""
+- optimization=" -O2 "
++ optimization="${CFLAGS}"
+ # In release builds, unless otherwise instructed, tell wx to disable asserts
+ asserts="-DNDEBUG"
+ if [ "$asserts_specified" = "on" ]; then
+@@ -559,7 +559,7 @@ createCodeLiteGCCMakefile ()
+ else
+ configuration="Release"
+ debug_flag=""
+- optimization=" -O2 "
++ optimization="${CFLAGS}"
+ # In release builds, unless otherwise instructed, tell wx to disable asserts
+ asserts="-DNDEBUG"
+ if [ "$asserts_specified" = "on" ]; then
+@@ -672,7 +672,7 @@ createCodeLiteIndexerMakefile ()
+ else
+ configuration="Release"
+ debug_flag=""
+- optimization=" -O2 "
++ optimization="${CFLAGS}"
+ # In release builds, unless otherwise instructed, tell wx to disable asserts
+ asserts="-DNDEBUG"
+ if [ "$asserts_specified" = "on" ]; then